> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini-2.5-Flash 圖像生成

> 使用 Google Gemini 2.5 Flash 模型生成圖像，快速高效

> [!NOTE]
>
> **中國大陸用戶請注意：** 中國大陸用戶請使用 `https://toapis.cn` 作為接口地址（Base URL）。文檔示例中的 `https://toapis.com` 請替換為 `https://toapis.cn`。

* Google Gemini 2.5 Flash 高效圖像生成模型 (Nano banana)
* 通過 model 參數選擇 `gemini-2.5-flash-image-preview` 模型
* 支持文本到圖像生成
* 異步任務管理，通過任務 ID 查詢結果

> [!WARNING]
>
> **重要變更**：爲了更好的性能和成本控制，我們不再支持在 `image_urls` 中直接傳入 base64 圖片數據。請先使用 [上傳圖片接口](https://docs.toapis.com/docs/zh-Hant/api-reference/uploads/images.md) 上傳圖片，獲取 URL 後再調用本接口。

## Authorizations

**Authorization** `string` *required*

所有接口均需要使用 Bearer Token 進行認證

獲取 API Key：訪問 [API Key 管理頁面](https://toapis.com/console/token) 獲取您的 API Key

使用時在請求頭中添加：

```
Authorization: Bearer YOUR_API_KEY
```

## Body

**model** `string` *required* (default: gemini-2.5-flash-image-preview)

圖像生成模型名稱

可用模型別名：`nano-banana`

示例：`"gemini-2.5-flash-image-preview"`

**prompt** `string` *required*

圖像生成的文本描述

最長 1000 個字符

**size** `string`

圖像生成的尺寸比例

支持的格式：

| 值 | 說明 | 像素（參考） |
| - | - | - |
| `1:1` | 正方形 | 1024x1024 |
| `16:9` | 橫向寬屏 | 1792x1024 |
| `9:16` | 豎向長圖 | 1024x1792 |
| `4:3` | 橫向標準 | 1365x1024 |
| `3:4` | 豎向標準 | 1024x1365 |
| `3:2` | 橫向相片 | 1536x1024 |
| `2:3` | 豎向相片 | 1024x1536 |

**n** `integer` (default: 1)

生成圖像的數量

固定爲 1

**⚠️ 注意：** 必須是純數字（如 `1`），不要加引號，否則會報錯

**image\_urls** `object[]`

參考圖像 URL 列表，用於圖生圖或圖像編輯

**詳細字段說明**

**url** `string` *required*

圖像 URL 地址

**⚠️ 僅支持 URL 格式（不再支持 base64）**

* 公開可訪問的圖片 URL（http\:// 或 https\://）
* 示例：`https://example.com/image.jpg`
* 可使用 [上傳圖片接口](https://docs.toapis.com/docs/zh-Hant/api-reference/uploads/images.md) 上傳本地圖片獲取 URL

**限制：**

* 單張圖片不得超過 10MB
* 支持格式：.jpeg, .jpg, .png, .webp

**限制：** 最多 14 張圖片

**metadata** `object`

元數據參數，用於傳遞額外的配置選項

**支持的元數據字段**

**resolution** `string` (default: 1K)

輸出圖像分辨率

支持的值：

* `1K` - 1K 分辨率（默認，唯一支持的選項）

**orientation** `string`

圖像方向

支持的值：

* `landscape` - 橫向
* `portrait` - 豎向

## Response

**id** `string`

任務唯一標識符，用於查詢任務狀態

**object** `string`

對象類型，固定爲 `generation.task`

**model** `string`

使用的模型名稱

**status** `string`

任務狀態

* `queued` - 排隊等待處理
* `in_progress` - 處理中
* `completed` - 成功完成
* `failed` - 失敗

**progress** `integer`

任務進度百分比（0-100）

**created\_at** `integer`

任務創建時間戳（Unix 時間戳）

**metadata** `object`

任務元數據

```bash cURL theme={null}
curl --request POST \
  --url https://toapis.com/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gemini-2.5-flash-image-preview",
    "prompt": "一隻穿着宇航服的貓咪在月球上行走",
    "size": "1:1",
    "n": 1
  }'
```

```bash cURL (圖生圖示例) theme={null}
curl --request POST \
  --url https://toapis.com/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gemini-2.5-flash-image-preview",
    "prompt": "將這隻貓變成卡通風格",
    "size": "1:1",
    "n": 1,
    "image_urls": ["https://example.com/cat.jpg"]
  }'
```

```python Python theme={null}
import requests

response = requests.post(
    "https://toapis.com/v1/images/generations",
    headers={
        "Authorization": "Bearer your-ToAPIs-key",
        "Content-Type": "application/json"
    },
    json={
        "model": "gemini-2.5-flash-image-preview",
        "prompt": "一隻穿着宇航服的貓咪在月球上行走",
        "size": "1:1",
        "n": 1
    }
)

task = response.json()
print(f"任務 ID: {task['id']}")
print(f"狀態: {task['status']}")
```

```python Python (圖生圖) theme={null}
import requests

response = requests.post(
    "https://toapis.com/v1/images/generations",
    headers={
        "Authorization": "Bearer your-ToAPIs-key",
        "Content-Type": "application/json"
    },
    json={
        "model": "gemini-2.5-flash-image-preview",
        "prompt": "將這隻貓變成卡通風格",
        "size": "1:1",
        "n": 1,
        "image_urls": ["https://example.com/cat.jpg"]
    }
)

task = response.json()
print(f"任務 ID: {task['id']}")
print(f"狀態: {task['status']}")
```

```javascript JavaScript theme={null}
const response = await fetch('https://toapis.com/v1/images/generations', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer your-ToAPIs-key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    model: 'gemini-2.5-flash-image-preview',
    prompt: '一隻穿着宇航服的貓咪在月球上行走',
    size: '1:1',
    n: 1
  })
});

const task = await response.json();
console.log(`任務 ID: ${task.id}`);
console.log(`狀態: ${task.status}`);
```

```javascript JavaScript (圖生圖) theme={null}
const response = await fetch('https://toapis.com/v1/images/generations', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer your-ToAPIs-key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    model: 'gemini-2.5-flash-image-preview',
    prompt: '將這隻貓變成卡通風格',
    size: '1:1',
    n: 1,
    image_urls: ['https://example.com/cat.jpg']
  })
});

const task = await response.json();
console.log(`任務 ID: ${task.id}`);
console.log(`狀態: ${task.status}`);
```

```json 200 theme={null}
{
  "id": "task_img_abc123def456",
  "object": "generation.task",
  "model": "gemini-2.5-flash-image-preview",
  "status": "queued",
  "progress": 0,
  "created_at": 1703884800,
  "metadata": {}
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.